<?PHP
// Datalife Engine Farsi v7.0
// DLE Site: Www.DatalifeCMS.IR
// DLE Templates: Www.DLE-Temp.Com
// Translated By Mohammad Yekta (Mohammad.1ta@Gmail.Com)
@session_start();
@error_reporting(7);
@ini_set('display_errors', true);
@ini_set('html_errors', false);

define('DATALIFEENGINE', true);
define('ROOT_DIR', '../..');
define('ENGINE_DIR', '..');

include ENGINE_DIR.'/data/config.php';

if ($config['http_home_url'] == "") {

	$config['http_home_url'] = explode("engine/ajax/find_relates.php", $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = "http://".$_SERVER['HTTP_HOST'].$config['http_home_url'];

}

require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/modules/functions.php';
require_once ENGINE_DIR.'/modules/sitelogin.php';
require_once ROOT_DIR.'/language/'.$config['langs'].'/website.lng';

if (!$is_logged) die ("error");

//#################   
$user_group = get_vars ("usergroup");

if (!$user_group) {
  $user_group = array ();

  $db->query("SELECT * FROM " . USERPREFIX . "_usergroups ORDER BY id ASC");

  while($row = $db->get_row()){

   $user_group[$row['id']] = array ();

     foreach ($row as $key => $value)
     {
       $user_group[$row['id']][$key] = $value;
     }

  }
  set_vars ("usergroup", $user_group);
  $db->free();
}

if (!$user_group[$member_id['user_group']]['allow_admin']) die ("error");

//####################################################################################################################
//                        
//####################################################################################################################
$cat_info = get_vars ("category");

if (!is_array($cat_info)) {
$cat_info = array ();

$db->query("SELECT * FROM " . PREFIX . "_category ORDER BY posi ASC");
while($row = $db->get_row()){

   $cat_info[$row['id']] = array ();

     foreach ($row as $key => $value)
     {
       $cat_info[$row['id']][$key] = stripslashes($value);
     }

}
set_vars ("category", $cat_info);
$db->free();
}

function decode_to_utf8($int=0)
{
		$t = '';

		if ( $int < 0 )
		{
			return chr(0);
		}
		else if ( $int <= 0x007f )
		{
			$t .= chr($int);
		}
		else if ( $int <= 0x07ff )
		{
			$t .= chr(0xc0 | ($int >> 6));
			$t .= chr(0x80 | ($int & 0x003f));
		}
		else if ( $int <= 0xffff )
		{
			$t .= chr(0xe0 | ($int  >> 12));
			$t .= chr(0x80 | (($int >> 6) & 0x003f));
			$t .= chr(0x80 | ($int  & 0x003f));
		}
		else if ( $int <= 0x10ffff )
		{
			$t .= chr(0xf0 | ($int  >> 18));
			$t .= chr(0x80 | (($int >> 12) & 0x3f));
			$t .= chr(0x80 | (($int >> 6) & 0x3f));
			$t .= chr(0x80 | ($int  &  0x3f));
		}
		else
		{ 
			return chr(0);
		}
		
		return $t;
}

function convert_unicode($t, $to = 'utf-8')
{
		$to = strtolower($to);

		if ($to == 'utf-8') {

			$t = preg_replace( '#%u([0-9A-F]{1,4})#ie', "decode_to_utf8(hexdec('\\1'))", utf8_encode($t) );
			$t = urldecode ($t);

		} else {

			$t = preg_replace( '#%u([0-9A-F]{1,4})#ie', "'&#' . hexdec('\\1') . ';'", $t );
			$t = urldecode ($t);
    		$t = @html_entity_decode($t, ENT_NOQUOTES, $to);

		}

		return $t;
}

	$title = $db->safesql(trim(convert_unicode($_POST['title'], $config['charset'])));

	if ($title == "") die();

	$buffer = "";

	$id = intval($_POST['id']);

	if ($id) $where = " AND id != '".$id."'"; else $where = "";

	$db->query ("SELECT id, title, date, category, alt_name, flag, MATCH (title, short_story, full_story, xfields, title) AGAINST ('$title') as score FROM " . PREFIX . "_post WHERE MATCH (title, short_story, full_story, xfields, title) AGAINST ('$title') AND approve='1'".$where." ORDER BY score DESC, date DESC LIMIT 5");

	while($related = $db->get_row()) {

		$related['date'] = strtotime($related['date']);
		$related['category'] = intval($related['category']);
		$news_date = date('d-m-Y', $related['date']);

			if ($config['allow_alt_url'] == "yes") {

				if ($related['flag'] AND $config['seo_type']) {

					if ($related['category']  AND $config['seo_type'] == 2) {

						$full_link = $config['http_home_url'].get_url($related['category'])."/".$related['id']."-".$related['alt_name'].".html";

					} else {

						$full_link = $config['http_home_url'].$related['id']."-".$related['alt_name'].".html";

					}

				} else {

					$full_link = $config['http_home_url'].date('Y/m/d/', $related['date']).$related['alt_name'].".html";
				}

			} else {

				$full_link = $config['http_home_url']."index.php?newsid=".$related['id'];

			}

		$buffer .= "<li>{$news_date} - <a href=\"".$full_link."\" target=\"_blank\">".stripslashes($related['title'])."</a></li>";

	}
	$db->close();

	@header("Content-type: text/css; charset=".$config['charset']);
	
	if ($buffer) echo "<div style=\"background: #ffc;border:1px solid #9E9E9E;padding: 5px;margin-top: 7px;margin-right: 10px;\">".$buffer."</div>";
	else echo "<div style=\"background: #ffc;border:1px solid #9E9E9E;padding: 5px;margin-top: 7px;margin-right: 10px;\">".$lang['related_not_found']."</div>";

?>