<?php
//////////////////////////////////// Line 844 ///////////////////////////////////
// Datalife Engine Farsi v7.0
// DLE Site: Www.DatalifeCMS.IR
// DLE Templates: Www.DLE-Temp.Com
// Translated By Mohammad Yekta (Mohammad.1ta@Gmail.Com)

function jdate($type,$maket="now")
{
	//set 1 if you want translate number to farsi or if you don't like set 0
	$transnumber=1;
	///chosse your timezone
	$TZhours=0;
	$TZminute=0;

	if($maket=="now"){
		$year=date("Y");
		$month=date("m");
		$day=date("d");
		list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
		$maket=jmaketime(date("h")+$TZhours,date("i")+$TZminute,date("s"),$jmonth,$jday,$jyear);
	}else{
		$maket+=$TZhours*3600+$TZminute*60;
		#$date=date("Y-m-d",maket);
		list( $year, $month, $day ) = preg_split ( '/-/', $date );

		list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
		}

	$need= $maket;
	$year=date("Y",$need);
	$month=date("m",$need);
	$day=date("d",$need);
	$i=0;
	while($i<strlen($type))
	{
		$subtype=substr($type,$i,1);
		switch ($subtype)
		{

			case "A":
				$result1=date("a",$need);
				if($result1=="pm") $result.= "&#1576;&#1593;&#1583;&#1575;&#1586;&#1592;&#1607;&#1585;";
				else $result.="&#1602;&#1576;&#1604;&#8207;&#1575;&#1586;&#1592;&#1607;&#1585;";
				break;

			case "a":
				$result1=date("a",$need);
				if($result1=="pm") $result.= "&#1576;&#46;&#1592;";
				else $result.="&#1602;&#46;&#1592;";
				break;
			case "d":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
				if($jday<10)$result1="0".$jday;
				else 	$result1=$jday;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "D":
				$result1=date("D",$need);
				if($result1=="Thu") $result1="&#1662;";
				else if($result1=="Sat") $result1="&#1588;";
				else if($result1=="Sun") $result1="&#1609;";
				else if($result1=="Mon") $result1="&#1583;";
				else if($result1=="Tue") $result1="&#1587;";
				else if($result1=="Wed") $result1="&#1670;";
				else if($result1=="Thu") $result1="&#1662;";
				else if($result1=="Fri") $result1="&#1580;";
				$result.=$result1;
				break;
			case"F":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
				$result.=monthname($jmonth);
				break;
			case "g":
				$result1=date("g",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "G":
				$result1=date("G",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
				case "h":
				$result1=date("h",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "H":
				$result1=date("H",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "i":
				$result1=date("i",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "j":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
				$result1=$jday;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "l":
				$result1=date("l",$need);
				if($result1=="Saturday") $result1="&#1588;&#1606;&#1576;&#1607;";
				else if($result1=="Sunday") $result1="&#1610;&#1603;&#1588;&#1606;&#1576;&#1607;";
				else if($result1=="Monday") $result1="&#1583;&#1608;&#1588;&#1606;&#1576;&#1607;";
				else if($result1=="Tuesday") $result1="&#1587;&#1607;&#32;&#1588;&#1606;&#1576;&#1607;";
				else if($result1=="Wednesday") $result1="&#1670;&#1607;&#1575;&#1585;&#1588;&#1606;&#1576;&#1607;";
				else if($result1=="Thursday") $result1="&#1662;&#1606;&#1580;&#1588;&#1606;&#1576;&#1607;";
				else if($result1=="Friday") $result1="&#1580;&#1605;&#1593;&#1607;";
				$result.=$result1;
				break;
			case "m":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
				if($jmonth<10) $result1="0".$jmonth;
				else	$result1=$jmonth;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "M":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
				$result.=monthname($jmonth);
				break;
			case "n":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);	
				$result1=$jmonth;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "s":
				$result1=date("s",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "S":
				$result.="&#1575;&#1605;";
				break;
			case "t":
				$result.=lastday ($month,$day,$year);
				break;
			case "w":
				$result1=date("w",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "y":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);	
				$result1=substr($jyear,2,4);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "Y":
				list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
				$result1=$jyear;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;		
			default:
				$result.=$subtype;
		}
	$i++;
	}
	return $result;
}



function jmaketime($hour,$minute,$second,$jmonth,$jday,$jyear)
{
	list( $year, $month, $day ) = jalali_to_gregorian($jyear, $jmonth, $jday);
	$i=mktime($hour,$minute,$second,$month,$day,$year);	
	return $i;
}


///Find Day Begining Of Month
function mstart($month,$day,$year)
{
	list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
	list( $year, $month, $day ) = jalali_to_gregorian($jyear, $jmonth, "1");
	$timestamp=mktime(0,0,0,$month,$day,$year);
	return date("w",$timestamp);
}

//Find Number Of Days In This Month
function lastday ($month,$day,$year)
{
	$lastdayen=date("d",mktime(0,0,0,$month+1,0,$year));
	list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
	$lastdatep=$jday;
	$jday=$jday2;
	while($jday2!="1")
	{
		if($day<$lastdayen)
		{
			$day++;
			list( $jyear, $jmonth, $jday2 ) = gregorian_to_jalali($year, $month, $day);
			if($jdate2=="1") break;
			if($jdate2!="1") $lastdatep++;
		}
		else
		{ 
			$day=0;
			$month++;
			if($month==13) 
			{
					$month="1";
					$year++;
			}
		}

	}
	return $lastdatep-1;
}

//translate number of month to name of month
function monthname($month)
{

    if($month=="01") return "&#1601;&#1585;&#1608;&#1585;&#1583;&#1610;&#1606;";

    if($month=="02") return "&#1575;&#1585;&#1583;&#1610;&#1576;&#1607;&#1588;&#1578;";

    if($month=="03") return "&#1582;&#1585;&#1583;&#1575;&#1583;";

    if($month=="04") return  "&#1578;&#1610;&#1585;";

    if($month=="05") return "&#1605;&#1585;&#1583;&#1575;&#1583;";

    if($month=="06") return "&#1588;&#1607;&#1585;&#1610;&#1608;&#1585;";

    if($month=="07") return "&#1605;&#1607;&#1585;";

    if($month=="08") return "&#1570;&#1576;&#1575;&#1606;";

    if($month=="09") return "&#1570;&#1584;&#1585;";

    if($month=="10") return "&#1583;&#1610;";

    if($month=="11") return "&#1576;&#1607;&#1605;&#1606;";

    if($month=="12") return "&#1575;&#1587;&#1601;&#1606;&#1583;";
}

////here convert to  number in persian
function Convertnumber2farsi($srting) 
{
	$num0="&#1776;";
	$num1="&#1777;";
	$num2="&#1778;";
	$num3="&#1779;";
	$num4="&#1780;";
	$num5="&#1781;";
	$num6="&#1782;";
	$num7="&#1783;";
	$num8="&#1784;";
	$num9="&#1785;";
	
	$stringtemp="";
	$len=strlen($srting);
	for($sub=0;$sub<$len;$sub++)
	{
	 if(substr($srting,$sub,1)=="0")$stringtemp.=$num0;
	 elseif(substr($srting,$sub,1)=="1")$stringtemp.=$num1;
	 elseif(substr($srting,$sub,1)=="2")$stringtemp.=$num2;
	 elseif(substr($srting,$sub,1)=="3")$stringtemp.=$num3;
	 elseif(substr($srting,$sub,1)=="4")$stringtemp.=$num4;
	 elseif(substr($srting,$sub,1)=="5")$stringtemp.=$num5;
	 elseif(substr($srting,$sub,1)=="6")$stringtemp.=$num6;
	 elseif(substr($srting,$sub,1)=="7")$stringtemp.=$num7;
	 elseif(substr($srting,$sub,1)=="8")$stringtemp.=$num8;
	 elseif(substr($srting,$sub,1)=="9")$stringtemp.=$num9;
	 else $stringtemp.=substr($srting,$sub,1);

	}
return   $stringtemp;

}
function div($a,$b) {
    return (int) ($a / $b);
}

function gregorian_to_jalali ($g_y, $g_m, $g_d) 
{
    $g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
    $j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);     
    


   

   $gy = $g_y-1600; 
   $gm = $g_m-1; 
   $gd = $g_d-1; 

   $g_day_no = 365*$gy+div($gy+3,4)-div($gy+99,100)+div($gy+399,400); 

   for ($i=0; $i < $gm; ++$i) 
      $g_day_no += $g_days_in_month[$i]; 
   if ($gm>1 && (($gy%4==0 && $gy%100!=0) || ($gy%400==0))) 
      /* leap and after Feb */ 
      $g_day_no++; 
   $g_day_no += $gd; 

   $j_day_no = $g_day_no-79; 

   $j_np = div($j_day_no, 12053); /* 12053 = 365*33 + 32/4 */ 
   $j_day_no = $j_day_no % 12053; 

   $jy = 979+33*$j_np+4*div($j_day_no,1461); /* 1461 = 365*4 + 4/4 */ 

   $j_day_no %= 1461; 

   if ($j_day_no >= 366) { 
      $jy += div($j_day_no-1, 365); 
      $j_day_no = ($j_day_no-1)%365; 
   } 

   for ($i = 0; $i < 11 && $j_day_no >= $j_days_in_month[$i]; ++$i) 
      $j_day_no -= $j_days_in_month[$i]; 
   $jm = $i+1; 
   $jd = $j_day_no+1; 

   return array($jy, $jm, $jd); 
} 

function jalali_to_gregorian($j_y, $j_m, $j_d) 
{ 
    $g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
    $j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);
    
   

   $jy = $j_y-979; 
   $jm = $j_m-1; 
   $jd = $j_d-1; 

   $j_day_no = 365*$jy + div($jy, 33)*8 + div($jy%33+3, 4); 
   for ($i=0; $i < $jm; ++$i) 
      $j_day_no += $j_days_in_month[$i]; 

   $j_day_no += $jd; 

   $g_day_no = $j_day_no+79; 

   $gy = 1600 + 400*div($g_day_no, 146097); /* 146097 = 365*400 + 400/4 - 400/100 + 400/400 */ 
   $g_day_no = $g_day_no % 146097; 

   $leap = true; 
   if ($g_day_no >= 36525) /* 36525 = 365*100 + 100/4 */ 
   { 
      $g_day_no--; 
      $gy += 100*div($g_day_no,  36524); /* 36524 = 365*100 + 100/4 - 100/100 */ 
      $g_day_no = $g_day_no % 36524; 

      if ($g_day_no >= 365) 
         $g_day_no++; 
      else 
         $leap = false; 
   } 

   $gy += 4*div($g_day_no, 1461); /* 1461 = 365*4 + 4/4 */ 
   $g_day_no %= 1461; 

   if ($g_day_no >= 366) { 
      $leap = false; 

      $g_day_no--; 
      $gy += div($g_day_no, 365); 
      $g_day_no = $g_day_no % 365; 
   } 

   for ($i = 0; $g_day_no >= $g_days_in_month[$i] + ($i == 1 && $leap); $i++) 
      $g_day_no -= $g_days_in_month[$i] + ($i == 1 && $leap); 
   $gm = $i+1; 
   $gd = $g_day_no+1; 

   return array($gy, $gm, $gd); 
}

?>
<?PHP
if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}

///////////////////////////////////////////////////////
// Function:     formatsize
// Description: Format the size of given file

function formatsize($file_size){
    if($file_size >= 1073741824)
        {$file_size = round($file_size / 1073741824 * 100) / 100 . " گيگابايت";}
    elseif($file_size >= 1048576)
        {$file_size = round($file_size / 1048576 * 100) / 100 . " مگابايت";}
    elseif($file_size >= 1024)
        {$file_size = round($file_size / 1024 * 100) / 100 . " كيلوبايت";}
    else{$file_size = $file_size . " بايت";}
return $file_size;
}

function CheckCanGzip(){

if (headers_sent() || connection_aborted()){
return 0; 
}
if (strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'x-gzip') !== false) return "x-gzip"; 
if (strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip') !== false) return "gzip"; 
return 0; 
}

function GzipOut(){
	global $Timer, $db;

echo "
<!-- Copyright © 2006-2008 By Www.DatalifeCMS.IR  -->
<!-- script execution time ".$Timer->stop()." seconds -->
<!-- time spent fulfilling MfySQL queries: ".round($db->MySQL_time_taken, 5)." seconds -->
<!-- The total number of MySQL queries: ".$db->query_num." -->";

    $ENCODING = CheckCanGzip(); 
    if ($ENCODING){
        $Contents = ob_get_contents(); 
        ob_end_clean(); 

        header("Content-Encoding: $ENCODING"); 
        print "\x1f\x8b\x08\x00\x00\x00\x00\x00"; 
        $Size = strlen($Contents); 
        $Crc = crc32($Contents); 
        $Contents = gzcompress($Contents, 1); 
        $Contents = substr($Contents,  0,  strlen($Contents) - 4); 
        print $Contents; 
        print pack('V', $Crc); 
        print pack('V', $Size); 
        exit; 
    }else{
//      ob_end_flush(); 
        exit; 
    }
}
///////////////////////////////////////////////////////
// Class:     microTimer
// Description: calculates the micro time

class microTimer {
    function start() {
        global $starttime;
        $mtime = microtime ();
        $mtime = explode (' ', $mtime);
        $mtime = $mtime[1] + $mtime[0];
        $starttime = $mtime;
    }
    function stop() {
        global $starttime;
        $mtime = microtime ();
        $mtime = explode (' ', $mtime);
        $mtime = $mtime[1] + $mtime[0];
        $endtime = $mtime;
        $totaltime = round (($endtime - $starttime), 5);
        return $totaltime;
    }
}

function allowed_ip ($ip_array) {


	$ip_array = trim($ip_array);

	if ($ip_array == "") { return true; }

	$ip_array = explode("|", $ip_array);

   	$db_ip_split = explode(".", $_SERVER['REMOTE_ADDR']);

		foreach ($ip_array as $ip) {

            $ip_check_matches = 0;
            $this_ip_split = explode(".", trim($ip));

            for($i_i=0;$i_i<4;$i_i++){
                if ($this_ip_split[$i_i] == $db_ip_split[$i_i] OR $this_ip_split[$i_i] == '*') {
                    $ip_check_matches += 1;
                }

            }

            if ($ip_check_matches == 4) return true;

		}

	return FALSE;
}

function check_login($username, $md5_password){
    global $member_db, $db, $user_group, $lang;

	if ($username == "" OR $md5_password == "") return false;

	$result = FALSE;

	$username 	  = $db->safesql($username);
	$md5_password = md5($md5_password);

	$db->query("SELECT * FROM " . USERPREFIX . "_users where name='$username' and password='$md5_password' and banned != 'yes'");

	while($row = $db->get_row())
	{

		$member_db[0] = $row['reg_date'];
		$member_db[1] = $row['user_group'];
		$member_db[2] = $row['name'];
		$member_db[5] = $row['email'];
		$member_db[6] = $row['news_num'];
		$member_db[7] = $row['allow_mail'];
		$member_db[10] = $row['user_id'];
		$member_db[11] = $row['fullname'];
		$member_db[12] = $row['land'];
		$member_db[13] = $row['icq'];
		$member_db[14] = $row['hash'];
		$member_db[15] = $row['logged_ip'];

		if (!allowed_ip ($row['allowed_ip'])) {

			$member_db = array();
			set_cookie("dle_name","", 0);
			set_cookie("dle_password","", 0);
			set_cookie("dle_hash","", 0);
			@session_destroy();
			@session_unset();
			set_cookie(session_name(),"",0);

		msg("info", $lang['index_msge'], $lang['ip_block']);

		}

		if ($user_group[$row['user_group']]['allow_admin']) $result = TRUE; else $result = FALSE;

	}
	$db->free();

        return $result;
}


////////////////////////////////////////////////////////
// Function:     msg
// Description: Displays message to user

function msg($type, $title, $text, $back=FALSE){
global $lang;

  if($back){
        $back = "<br /><br> <a class=main href=\"$back\">$lang[func_msg]</a>";
  }

  echoheader($type, $title);

echo <<<HTML
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$title}</div></td>
    </tr>
</table>
<div class="unterline"></div>
<table width="100%">
    <tr>
        <td height="100" align="center">{$text} {$back}</td>
    </tr>
</table>
</td>
        <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div>
HTML;

  echofooter();
exit();
}

////////////////////////////////////////////////////////
// Function:    echoheader
// Description: Displays header skin

function echoheader($image, $header_text){
    global $PHP_SELF, $skin_header, $member_db, $user_group;

    $skin_header = preg_replace("/{header-text}/", $header_text, $skin_header);
    $skin_header = preg_replace("/{user}/", $member_db[2], $skin_header);    
    $skin_header = preg_replace("/{group}/", $user_group[$member_db[1]]['group_name'], $skin_header);    
    echo $skin_header;
}


function echofooter(){

    global $PHP_SELF, $is_loged_in, $skin_footer;
    echo $skin_footer;


}

function listdir($dir){

    $current_dir = opendir($dir);
    while($entryname = readdir($current_dir)){
        if(is_dir("$dir/$entryname") and ($entryname != "." and $entryname!="..")){
            listdir("${dir}/${entryname}");
        }elseif($entryname != "." and $entryname!=".."){
            unlink("${dir}/${entryname}");
        }
    }
    @closedir($current_dir);
    rmdir(${dir});
}

function totranslit($var)
{
        $NpjLettersFrom = "";
        $NpjLettersTo   = "";
        $NpjBiLetters = array( 
      "" => "jj", "" => "jo", "" => "zh", "" => "kh", "" => "ch", 
      "" => "sh", "" => "shh", "" => "je", "" => "ju", "" => "ja",
      "" => "", "" => "",
                              );

        $NpjCaps  = "Ũ";
        $NpjSmall = "";

      $var = str_replace(".php", "", $var);
	  $var = trim(strip_tags($var));
      $var = preg_replace( "/\s+/ms", "-", $var );
      $var = strtr( $var, $NpjCaps, $NpjSmall );
      $var = strtr( $var, $NpjLettersFrom, $NpjLettersTo );
      $var = strtr( $var, $NpjBiLetters );

      $var = preg_replace("/[^a-z0-9\_\-.]+/mi", "", $var);
	  $var=preg_replace('#[\-]+#i', '-', $var);
	  $var = strtolower ( $var );

      if (strlen($var) > 50) {

		$var = substr ($var, 0, 50);

			if (($temp_max = strrpos($var, '-')))  $var = substr ($var, 0, $temp_max);

	  }

  return $var;
}

////////////////////////////////////////////////////////
// Function:    LangDate
// Description: Changing of date by cyrillic equivalents
function langdate($format, $stamp){
  global $langdate;

  return jdate($format, $stamp);

}


function CategoryNewsSelection($categoryid = 0, $parentid = 0, $nocat = TRUE, $sublevelmarker = '', $returnstring = '')
{
  global $cat, $cat_parentid, $member_db, $user_group;

 $allow_list = explode (',', $user_group[$member_db[1]]['allow_cats']);
 $spec_list = explode (',', $user_group[$member_db[1]]['cat_add']);

  if($parentid == 0) {
    if ($nocat) $returnstring .= '<option value="0"></option>';
  } else  {
    $sublevelmarker .= '&nbsp;&nbsp;&nbsp;&nbsp;';
  }

  if (isset($cat_parentid)) {

  $root_category = @array_keys($cat_parentid, $parentid);

  if (is_array($root_category)) {

	  foreach ($root_category as $id) {

   		$category_name = $cat[$id];

		  if ($allow_list[0] == "all" OR in_array($id, $allow_list)) {

			if ($spec_list[0] == "all" OR in_array($id, $spec_list)) $color = "black"; else $color = "red";

   			$returnstring .= "<option style=\"color: {$color}\" value=\"".$id.'" ';

   			if (is_array ($categoryid)){
				foreach ($categoryid as $element) {
					if($element == $id) $returnstring .= 'SELECTED';
				}
			}
			elseif($categoryid == $id) $returnstring .= 'SELECTED'; 

   			$returnstring .= '>'.$sublevelmarker.$category_name.'</option>';
  		 }

    	$returnstring = CategoryNewsSelection($categoryid, $id, $nocat, $sublevelmarker, $returnstring);
      }
   }
  }

  return $returnstring;
}


function filesize_url($url){
   return ($data = @file_get_contents($url)) ? strlen($data) : false;
}


function clear_cache($cache_area = false){
	if ($cache_area){
	$filename = ENGINE_DIR.'/cache/'.$cache_area.'.tmp';
	@unlink($filename);
	} else {
	$fdir = opendir(ENGINE_DIR.'/cache');
    while ($file = readdir($fdir)){
        if ($file != '.' and $file != '..' and $file != '.htaccess' and $file != 'system'){
	                @unlink(ENGINE_DIR.'/cache/'.$file);

      	  }
  	  }
	}
}

 function xfieldsdataload ($id) {

  if ($id == "") return;

      $xfieldsdata = explode("||", $id);
      foreach ($xfieldsdata as $xfielddata) {
        list($xfielddataname, $xfielddatavalue) = explode("|", $xfielddata);
        $xfielddataname = str_replace("&#124;", "|", $xfielddataname);
        $xfielddataname = str_replace("__NEWL__", "\r\n", $xfielddataname);
        $xfielddatavalue = str_replace("&#124;", "|", $xfielddatavalue);
        $xfielddatavalue = str_replace("__NEWL__", "\r\n", $xfielddatavalue);
        $data[$xfielddataname] = $xfielddatavalue;
      }
    return $data;
 }

  function xfieldsload() {
  global $lang;
  $path = ENGINE_DIR.'/data/xfields.txt';
  $filecontents = file($path);

    if (!is_array($filecontents))
    msg("error", $lang['xfield_error'], "$lang[xfield_err_3] \"engine/data/xfields.txt\". $lang[xfield_err_4]");
  
    foreach ($filecontents as $name => $value) {
      $filecontents[$name] = explode("|", trim($value));
      foreach ($filecontents[$name] as $name2 => $value2) {
        $value2 = str_replace("&#124;", "|", $value2); 
        $value2 = str_replace("__NEWL__", "\r\n", $value2);
        $filecontents[$name][$name2] = htmlspecialchars($value2);
      }
    }
    return $filecontents;
  }

function create_metatags ($story) {
global $config, $db;

$keyword_count = 20;
$newarr = array ();
$headers = array ();
$quotes = array( "\x27", "\x22", "\x60", "\t",'\n','\r', "\n","\r", '\\', "'",",",".","/","","#",";",":","@","~","[","]","{","}","=","-","+",")","(","*","&","^","%","$","<",">","?","!", '"' );
$fastquotes = array( "\x27", "\x22", "\x60", "\t","\n","\r",'"',"'", '\r', '\n', "/", "\\","{","}","[","]");

  $story = preg_replace ("'\[hide\](.*?)\[/hide\]'si", "", $story);
  $story = preg_replace ("'\[attachment=(.*?)\]'si", "", $story);
  $story = preg_replace ("'\[page=(.*?)\](.*?)\[/page\]'si", "", $story);
  $story = str_replace( "{PAGEBREAK}", "", $story );

  $story = str_replace('<br />', ' ', $story );
  $story = trim(strip_tags ($story));

  if (trim($_REQUEST['descr']) != "") {

   	  $headers['description'] = $db->safesql(substr(strip_tags(stripslashes($_REQUEST['descr'])), 0, 190));

  } else {

	$story = str_replace($fastquotes, '', $story );
	$headers['description'] = $db->safesql(substr($story, 0, 190));
  }

  if (trim($_REQUEST['keywords']) != "") {
	  $headers['keywords'] = $db->safesql(str_replace($fastquotes, " ", strip_tags(stripslashes($_REQUEST['keywords']))));
  } else {

	$story = str_replace($quotes, '', $story );

	$arr   = explode(" ", $story);

	foreach ($arr as $word) {
	if (strlen($word) > 4) $newarr [] = $word;
	}

	$arr   = array_count_values ($newarr);
	arsort ($arr);

	$arr = array_keys($arr);

	$total = count ($arr);

	$offset = 0;

	$arr =	array_slice ($arr, $offset, $keyword_count);

	$headers['keywords'] = $db->safesql(implode (", ", $arr));
  }

return $headers;
}

function set_vars ($file, $data){

	$filename = ENGINE_DIR.'/cache/system/'.$file.'.php';

#    $fp = fopen($filename, 'wb+');
#    fwrite($fp, serialize($data) );
#    fclose($fp);

	@chmod($filename, 0666);
}

function get_vars ($file){
	$filename = ENGINE_DIR.'/cache/system/'.$file.'.php';

    if (!@filesize($filename)){
    	return false;
    }

	return unserialize(file_get_contents($filename));

}
function get_groups ($id = false){
     global $user_group;

	 $returnstring = "";

     foreach ($user_group as $group)
     {
   		$returnstring .= '<option value="'.$group['id'].'" ';

	if (is_array ($id)){
		foreach ($id as $element) {
		if($element == $group['id']) $returnstring .= 'SELECTED';
		}
	}
	elseif($id AND $id == $group['id']) $returnstring .= 'SELECTED'; 

		$returnstring .= ">".$group['group_name']."</option>\n";
	 }

	return $returnstring;

}
function permload ($id) {

	if ($id == "") return;

	$data = array();

      $groups = explode("|", $id);
      foreach ($groups as $group) {
        list($groupid, $groupvalue) = explode(":", $group);
		$data[$groupid][1] = ($groupvalue == 1) ? "selected" : "";
		$data[$groupid][2] = ($groupvalue == 2) ? "selected" : "";
		$data[$groupid][3] = ($groupvalue == 3) ? "selected" : "";
      }
    return $data;
}
function check_xss () {

	$url = html_entity_decode(urldecode($_SERVER['QUERY_STRING']));

	if ($url) {

		if ((strpos($url, '<') !== false) ||
			(strpos($url, '>') !== false) ||
			(strpos($url, '"') !== false) ||
			(strpos($url, './') !== false) ||
			(strpos($url, '../') !== false) ||
			(strpos($url, '\'') !== false) ||
			(strpos($url, '.php') !== false)
		   ) 
		{

			if ($_GET['mod'] != "editnews" OR $_GET['action'] != "list") die("Hacking attempt!");

		}

	}

}

function clean_url ($url) {

  if ($url == '') return;

  $url = str_replace("http://", "", $url);
  if (strtolower(substr($url, 0, 4)) == 'www.')  $url = substr($url, 4);
  $url = explode('/', $url);
  $url = reset($url);
  $url = explode(':', $url);
  $url = reset($url);

  return $url;
}

define ('DOMAIN', ".".clean_url ($_SERVER['HTTP_HOST']) );

function set_cookie ($name, $value, $expires){

	if ( $expires ) {

		$expires = time() + ( $expires * 86400 );

	} else {

		$expires = FALSE;

	} 

	if ( PHP_VERSION < 5.2 ) {

		setcookie ($name, $value, $expires, "/", DOMAIN."; HttpOnly");

	} else {

		setcookie ($name, $value, $expires, "/", DOMAIN, NULL, TRUE);

	}
}

function get_url ($id) {

	global $cat_info;

	if (!$id) return;

    $parent_id = $cat_info[$id]['parentid'];

	$url = $cat_info[$id]['alt_name'];

    while ($parent_id) {

		$url = $cat_info[$parent_id]['alt_name']."/".$url;

		$parent_id = $cat_info[$parent_id]['parentid'];

		if ($cat_info[$parent_id]['parentid'] == $cat_info[$parent_id]['id']) break;

    }

  return $url;
}

function auth() {
    header('WWW-Authenticate: Basic realm="Admin Area"');
    header('HTTP/1.0 401 Unauthorized');
    echo "<H1>Access Denied</H1>";
    exit;
}
?>